# PodNotes

The one goal for PodNotes is to make it easier to write notes on podcasts.

Here are the features that will help you do that 👇.

## Features

- Mobile friendly
- Podcast player built into Obsidian
- Add any publicly available podcast through search, or custom feeds by URL
- Track played episodes & playback progress
- Create podcast notes from templates with metadata about episodes
- Capture timestamps & link directly to the time in the episode
- Download episodes for offline playback
- Support for non-podcast local audio files
- API that can be used by plugins like [QuickAdd](https://github.com/chhoumann/QuickAdd) or [Templater](https://github.com/silentvoid13/Templater) for custom workflows

## Installation

This plugin is in the Obsidian community plugin store. You can find it by searching in the store, or by clicking [here](obsidian://show-plugin?id=podnotes).

### Installation with BRAT

BRAT is an Obsidian plugin that helps you test beta plugins and themes. Click [here](obsidian://show-plugin?id=obsidian42-brat) to install it in Obsidian.

Add `chhoumann/PodNotes` to BRAT with the `Add a beta plugin for testing` command.

Now follow the appropriate instructions, which most likely will have you go and enable the plugin once it has finished installing.

### Manual installation

Go to the [releases](https://github.com/chhoumann/podnotes/releases/latest) page.
Download `main.js` and `manifest.json`.
Create a new directory in your Obsidian vaults `.obsidian/plugins/` folder called `podnotes` and place the downloaded files there.

Now refresh the plugins in Obsidian and enable PodNotes.

## Screenshots

### Demo

![Demo](resources/demo.gif)

### Podcast Grid

![Podcast Grid](resources/podcast_grid.png)

### Episode List

![Episode List](resources/episode_list.png)

### Player

![Player](resources/player.png)

### Podcast Note Editing

![Podcast Note Editing](resources/podcast_note.png)

### Podcast search

![Podcast Search](resources/podcast_search.png)
